# BFR - A Modular Bulk File Renaming Utility
Inspired by [this project](https://git.lastassault.de/speatzle/BulkFileRenamer) by speatzle_.

Everyone is welcome to contribute!

## Features
- Mordern scalable UI (Avalonia)
- Extremely flexible
- Stack-based undo
- Fast and automatic preview
- Cross-Platform and portable
- Supports RegEx

### Operations
- Add, Remove, Replace, Overwrite, Number, Sort

### Upcoming Features
- [Case Conversion](../issues/1)
- [Save-/Loadable Profiles](../issues/3)
- [Operations based on file Metadata](../issues//4)
- [Optional Subdirectory Scanning](../issues/5)
- [Option to disable automatic previewing](../issues/7)
- [Improved Add-/Remove-Buttons](../issues/6)
- Anything good that gets [requested](../issues)!

## [Releases](../-/releases)
## Screenshot
![](https://i.imgur.com/qHRTmJH.png)
